part of kitcod_uikit_flutter;

class CircularWidget extends StatelessWidget {
  const CircularWidget({
    required this.child,
    final Key? key,
    this.height,
    this.width,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final double? height;
  final double? width;
  final Widget child;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  ClipRRect build(final context) => ClipRRect(
        borderRadius: BorderRadius.circular(1000),
        child: SizedBox(
          height: height,
          width: width,
          child: child,
        ),
      );
}
