part of kitcod_uikit_flutter;

class TextBar extends StatelessWidget {
  const TextBar({
    required this.hintText,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final String hintText;

  // -------------------------------- BUILD FUNCTION -------------------------------- //

  @override
  Padding build(final BuildContext context) => Padding(
        padding: const EdgeInsets.all(10),
        child: TextField(
          decoration: InputDecoration(
              enabledBorder: OutlineInputBorder(
                borderSide: BorderSide(color: Colors.indigo.shade100),
                borderRadius: BorderRadius.circular(30),
              ),
              focusedBorder: OutlineInputBorder(
                borderSide: BorderSide(color: Colors.indigo.shade100),
                borderRadius: BorderRadius.circular(30),
              ),
              hintText: hintText,
              suffixIcon: const Icon(Icons.camera_alt_outlined),
              contentPadding: const EdgeInsets.only(left: 20)),
        ),
      );
}
